classdef BaseConversionTest < matlab.unittest.TestCase
    %BASECONVERSIONTEST Base test class for conversion to jTET format
    %   This contains all the common code for doing jTET conversion tests.

    properties (Abstract)
        File
        TableName
    end

    properties
        ConvertedTable = []
    end

    methods (TestClassSetup)
        function setupOnce(testcase)
            data = load(testcase.File);
            testcase.ConvertedTable = TableBlock.convert_table_to_java_table(data.data);
        end
    end

    methods (Test)
        function testTableName(testcase)
            testcase.assertEqual(char(testcase.ConvertedTable.getName()), testcase.TableName);
        end
    end
end

